Subject: Re: [bug#42335] [PATCH guix-past] Add old versions of RGBDS

From: Jakub Kądziołka <[email-masked]>
Date: Tue, 21 Jul 2020 23:29:01 +0200

On Tue, Jul 21, 2020 at 06:33:05PM +0200, Ludovic Courtès wrote:
> Hi Jakub,
> 
> Jakub Kądziołka <[email-masked]> skribis:
> 
> > * modules/past/packages/assembly.scm: New file.
> > ---
> >
> > This patch adds quite a few old versions of RGBDS. The project has quite
> > a history of small, possibly accidental breaking changes. As a
> > measurement of the necessity of this many different versions, I looked
> > into the git history of the Game Boy homebrew project that inspired this
> > addition.
> >
> > The repository (which is unfortunately private) goes back to the days
> > of 0.2.5, and for almost all versions in that time range, there exists
> > a git commit that requires it.
> >
> > I am on the fence on including versions 0.3.4 and 0.3.6. Their changelog
> > on GitHub was updated to warn of silent bugs with miscompilation
> > potential, and are what the 'almost' above accounts for ;)
> > I decided to omit them in the patch, hoping that this will prevent a
> > lost soul or two from tripping over those dangerous (in terms of
> > potential time loss) bugs.
> >
> > I did not include versions 0.1.0 and 0.1.1, as they fail to compile and
> > I have no idea why.
> >
> > This is my first patch for guix-past, so any review remarks specific to
> > pastraising are very much appreciated :)
> 
> Nothing to say, this LGTM, nice work!

Thanks!

> You should now have a gitlab.inria.fr account.  We need to add you to
> ‘.guix-authorizations’; will you use the same OpenPGP key as in Guix?

Nice! Yeah, I'll use the same key.

Regards,
Jakub Kądziołka